Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class CharacterProperties

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.definitions.CHPAbstractType
          org.apache.poi.hdf.model.hdftypes.CharacterProperties

All Implemented Interfaces:
  java.lang.Cloneable, HDFType

    public final class CharacterProperties

extends CHPAbstractType
implements java.lang.Cloneable

Properties for character runs.

Author:
  Ryan Ackley

Constructor Summary
`CharacterProperties()`

Method Summary
`java.lang.Object` | `clone()` Used to make a deep copy of this object.

Methods inherited from class org.apache.poi.hdf.model.hdftypes.definitions.CHPAbstractType
`getBaseIstd, getBrc, getChse, getChYsr, getDttmDispFldRMark, getDttmPropRMark, getDttmRMark, getDttmRMarkDel, getDxaSpace, getFcObj, getFcPic, getFDispFldRMark, getFormat_flags, getFormat_flags1, getFPropMark, getFtcAscii, getFtcFE, getFtcOther, getFtcSym, getHighlight, getHps, getHpsKern, getHpsPos, getIbstDispFldRMark, getIbstPropRMark, getIbstRMark, getIbstRMarkDel, getIco, getIcoHighlight, getIdctHint, getIdslReasonDel, getIdslRMReason, getIss, getIstd, getKcd, getKul, getLidDefault, getLidFE, getLTagObj, getSfxtText, getShd, getSize, getWCharScale, getXchSym, getXstDispFldRMark, getYsr, isFBold, isFCaps, isFChsDiff, isFData, isFDStrike, isFEmboss, isFFldVanish, isFFtcAsciSym, isFHighlight, isFImprint, isFItalic, isFLowerCase, isFMacChs, isFNavHighlight, isFObj, isFOle2, isFOutline, isFRMark, isFRMarkDel, isFShadow, isFSmallCaps, isFSpec, isFStrike, isFUsePgsuSettings, isFVanish, setBaseIstd, setBrc, setChse, setChYsr, setDttmDispFldRMark, setDttmPropRMark, setDttmRMark, setDttmRMarkDel, setDxaSpace, setFBold, setFCaps, setFChsDiff, setFcObj, setFcPic, setFData, setFDispFldRMark, setFDStrike, setFEmboss, setFFldVanish, setFFtcAsciSym, setFHighlight, setFImprint, setFItalic, setFLowerCase, setFMacChs, setFNavHighlight, setFObj, setFOle2, setFormat_flags, setFormat_flags1, setFOutline, setFPropMark, setFRMark, setFRMarkDel, setFShadow, setFSmallCaps, setFSpec, setFStrike, setFtcAscii, setFtcFE, setFtcOther, setFtcSym, setFUsePgsuSettings, setFVanish, setHighlight, setHps, setHpsKern, setHpsPos, setIbstDispFldRMark, setIbstPropRMark, setIbstRMark, setIbstRMarkDel, setIco, setIcoHighlight, setIdctHint, setIdslReasonDel, setIdslRMReason, setIss, setIstd, setKcd, setKul, setLidDefault, setLidFE, setLTagObj, setSfxtText, setShd, setWCharScale, setXchSym, setXstDispFldRMark, setYsr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterProperties

    public CharacterProperties()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Used to make a deep copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD